Package org.apache.coyote.http11

## Class Http11NioProtocol

- java.lang.Object
- - org.apache.coyote.AbstractProtocol<S>
  - - org.apache.coyote.http11.AbstractHttp11Protocol<S>
    - - org.apache.coyote.http11.AbstractHttp11JsseProtocol<NioChannel>
      - - org.apache.coyote.http11.Http11NioProtocol

All Implemented Interfaces:
  `MBeanRegistration`, `ProtocolHandler`

    public class Http11NioProtocol
    extends AbstractHttp11JsseProtocol<NioChannel>

HTTP/1.1 protocol implementation using NIO.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.coyote.AbstractProtocol

`AbstractProtocol.ConnectionHandler<S>, AbstractProtocol.RecycledProcessors`

### Field Summary

### Fields inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

`sm`

### Fields inherited from class org.apache.coyote.AbstractProtocol

`adapter, domain, mserver, oname, processorCache, rgOname`

### Constructor Summary

Constructors
`Http11NioProtocol()`
`Http11NioProtocol​(NioEndpoint endpoint)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Log` `getLog()` Concrete implementations need to provide access to their logger to be used by the abstract classes.
`protected String` `getNamePrefix()` Obtain the prefix to be used when construction a name for this protocol handler.
`int` `getPollerThreadPriority()`
`long` `getSelectorTimeout()`
`void` `setPollerThreadPriority​(int threadPriority)`
`void` `setSelectorTimeout​(long timeout)`

### Methods inherited from class org.apache.coyote.http11.AbstractHttp11JsseProtocol

`getEndpoint, getSniParseLimit, getSslImplementationName, getSslImplementationShortName, setSniParseLimit, setSslImplementationName`

### Methods inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

`addAllowedTrailerHeader, addSslHostConfig, addUpgradeProtocol, createProcessor, createUpgradeProcessor, destroy, findSslHostConfigs, findUpgradeProtocols, getAllowedTrailerHeaders, getAllowedTrailerHeadersInternal, getAllowHostHeaderMismatch, getCompressibleMimeType, getCompressibleMimeTypes, getCompression, getCompressionLevel, getCompressionMinSize, getConnectionUploadTimeout, getContinueResponseTiming, getContinueResponseTimingInternal, getDefaultSSLHostConfigName, getDisableUploadTimeout, getMaxExtensionSize, getMaxHttpHeaderSize, getMaxHttpRequestHeaderSize, getMaxHttpResponseHeaderSize, getMaxKeepAliveRequests, getMaxSavePostSize, getMaxSwallowSize, getMaxTrailerSize, getNegotiatedProtocol, getNoCompressionUserAgents, getNoCompressionUserAgentsPattern, getONameForUpgrade, getProtocolName, getRejectIllegalHeader, getRelaxedPathChars, getRelaxedQueryChars, getRestrictedUserAgents, getRestrictedUserAgentsPattern, getSecure, getServer, getServerRemoveAppProvidedValues, getUpgradeGroupInfo, getUpgradeProtocol, getUseKeepAliveResponseHeader, getUseSendfile, init, isSSLEnabled, isTrailerHeaderAllowed, reloadSslHostConfig, reloadSslHostConfigs, removeAllowedTrailerHeader, setAllowedTrailerHeaders, setAllowHostHeaderMismatch, setCompressibleMimeType, setCompression, setCompressionMinSize, setConnectionUploadTimeout, setContinueResponseTiming, setDefaultSSLHostConfigName, setDisableUploadTimeout, setMaxExtensionSize, setMaxHttpHeaderSize, setMaxHttpRequestHeaderSize, setMaxHttpResponseHeaderSize, setMaxKeepAliveRequests, setMaxSavePostSize, setMaxSwallowSize, setMaxTrailerSize, setNoCompressionUserAgents, setRejectIllegalHeader, setRelaxedPathChars, setRelaxedQueryChars, setRestrictedUserAgents, setSecure, setServer, setServerRemoveAppProvidedValues, setSSLEnabled, setUseKeepAliveResponseHeader, setUseSendfile, useCompression`

### Methods inherited from class org.apache.coyote.AbstractProtocol

`addWaitingProcessor, awaitConnectionsClose, closeServerSocketGraceful, getAcceptCount, getAcceptorThreadPriority, getAdapter, getAddress, getClientCertProvider, getConnectionCount, getConnectionLinger, getConnectionTimeout, getDomain, getExecutor, getGlobalRequestProcessorMBeanName, getHandler, getId, getKeepAliveTimeout, getLocalPort, getMaxConnections, getMaxHeaderCount, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getObjectName, getPort, getPortOffset, getPortWithOffset, getProcessorCache, getProperty, getTcpNoDelay, getThreadPriority, getUtilityExecutor, getWaitingProcessorCount, isPaused, isSendfileSupported, pause, postDeregister, postRegister, preDeregister, preRegister, removeWaitingProcessor, resume, setAcceptCount, setAcceptorThreadPriority, setAdapter, setAddress, setClientCertProvider, setConnectionLinger, setConnectionTimeout, setExecutor, setHandler, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxThreads, setMinSpareThreads, setPort, setPortOffset, setProcessorCache, setProperty, setTcpNoDelay, setThreadPriority, setUtilityExecutor, start, startAsyncTimeout, stop, stopAsyncTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.coyote.ProtocolHandler

`getDesiredBufferSize`

### Constructor Detail

#### Http11NioProtocol

    public Http11NioProtocol()

#### Http11NioProtocol

    public Http11NioProtocol​(NioEndpoint endpoint)

### Method Detail

#### getLog

    protected Log getLog()

Description copied from class: `AbstractProtocol`
Concrete implementations need to provide access to their logger to be used by the abstract classes.

Specified by:
  `getLog` in class `AbstractProtocol<NioChannel>`
Returns:
  the logger

#### setSelectorTimeout

    public void setSelectorTimeout​(long timeout)

#### getSelectorTimeout

    public long getSelectorTimeout()

#### setPollerThreadPriority

    public void setPollerThreadPriority​(int threadPriority)

#### getPollerThreadPriority

    public int getPollerThreadPriority()

#### getNamePrefix

    protected String getNamePrefix()

Description copied from class: `AbstractProtocol`
Obtain the prefix to be used when construction a name for this protocol handler. The name will be prefix-address-port.

Specified by:
  `getNamePrefix` in class `AbstractProtocol<NioChannel>`
Returns:
  the prefix